Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.database.bugfix
Class OF33

    java.lang.Object
      org.jivesoftware.database.bugfix.OF33

    public final class OF33

extends Object

This class implements a fix for a problem identified as issue OF-33 in the bugtracker of Openfire.

The code in this class is intended to be executed only once, under very strict circumstances. The only class responsible for calling this code should be an instance of `SchemaManager`. The database update version corresponding to this fix is 21.

Author:
  Günther Nieß
See Also:
  Openfire bugtracker: OF-33

Constructor Summary
`OF33()`

Method Summary
`static void` | `executeFix(Connection con)` Check and repair the serviceIDs for the ofMucService table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OF33

    public OF33()

Method Detail

### executeFix

    public static void executeFix(Connection con)

  Check and repair the serviceIDs for the ofMucService table.

  Parameters:
    `con` - the database connection to use to check the MultiUserChat services.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.9.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.